# Interface methods for submodule: FFTWInverseFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InverseFFTImageFilterProxy as _InverseFFTImageFilterProxy


# Interface methods for class: FFTWInverseFFTImageFilter
class FFTWInverseFFTImageFilterProxy(_InverseFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetPlanRigor(self, value: int) -> None:
		""""""
		...

	@overload
	def SetPlanRigor(self, name: str) -> None:
		""""""
		...

	def GetPlanRigor(self) -> int:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

